[pacman-dev] [PATCH] fix for incorrect checking of return code, which causes syntax errors

Dieter Plaetinck dieter at plaetinck.be
Sat May 15 15:06:42 EDT 2010


---
 scripts/makepkg.sh.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index e8aaa8b..9741879 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -693,10 +693,10 @@ extract_sources() {
 		local ret=0
 		msg2 "$(gettext "Extracting %s with %s")" "$file" "$cmd"
 		if [[ $cmd = bsdtar ]]; then
-			$cmd -xf "$file" || ret=?
+			$cmd -xf "$file" || ret=$?
 		else
 			rm -f "${file%.*}"
-			$cmd -dcf "$file" > "${file%.*}" || ret=?
+			$cmd -dcf "$file" > "${file%.*}" || ret=$?
 		fi
 		if (( ret )); then
 			error "$(gettext "Failed to extract %s")" "$file"
-- 
1.7.1



More information about the pacman-dev mailing list